using System;

internal sealed class Delegate501 : MulticastDelegate
{
	public extern string Invoke(ref ushort ushort_0, string string_0, IFormatProvider iformatProvider_0);

	public static string smethod_0(ref ushort ushort_0, string string_0, IFormatProvider iformatProvider_0, Delegate501 delegate501_1)
	{
		return delegate501_1(ref ushort_0, string_0, iformatProvider_0);
	}

	public extern Delegate501(object object_0, IntPtr intptr_0);

	static Delegate501()
	{
		Class10.smethod_13(typeof(Delegate501).TypeHandle);
	}

	internal static Delegate501 delegate501_0;
}
